Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFRichTextString

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFRichTextString

All Implemented Interfaces:
  java.lang.Comparable

public class HSSFRichTextString
extends java.lang.Object
implements java.lang.Comparable

Rich text unicode string. These strings can have fonts applied to arbitary parts of the string.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `NO_FONT` Place holder for indicating that NO_FONT has been applied here

Constructor Summary
`HSSFRichTextString()`
`HSSFRichTextString(java.lang.String string)`

Method Summary
`void` | `applyFont(HSSFFont font)` Sets the font of the entire string.
`void` | `applyFont(int startIndex, int endIndex, HSSFFont font)` Applies a font to the specified characters of a string.
`void` | `applyFont(int startIndex, int endIndex, short fontIndex)` Applies a font to the specified characters of a string.
`void` | `applyFont(short fontIndex)` Applies the specified font to the entire string.
`int` | `compareTo(java.lang.Object o)` Compares one rich text string to another.
`short` | `getFontAtIndex(int index)` Returns the font in use at a particular index.
`short` | `getFontOfFormattingRun(int index)` Gets the font used in a particular formatting run.
`int` | `getIndexOfFormattingRun(int index)` The index within the string to which the specified formatting run applies.
`java.lang.String` | `getString()` Returns the plain string representation.
`int` | `length()`
`int` | `numFormattingRuns()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_FONT

    public static final short NO_FONT

  Place holder for indicating that NO_FONT has been applied here

  See Also:
    Constant Field Values

Constructor Detail

### HSSFRichTextString

    public HSSFRichTextString()

### HSSFRichTextString

    public HSSFRichTextString(java.lang.String string)

Method Detail

### applyFont

    public void applyFont(int startIndex,
                          int endIndex,
                          short fontIndex)

  Applies a font to the specified characters of a string.

  Parameters:
    `startIndex` - The start index to apply the font to (inclusive)
    `endIndex` - The end index to apply the font to (exclusive)
    `fontIndex` - The font to use.

### applyFont

    public void applyFont(int startIndex,
                          int endIndex,
                          HSSFFont font)

  Applies a font to the specified characters of a string.

  Parameters:
    `startIndex` - The start index to apply the font to (inclusive)
    `endIndex` - The end index to apply to font to (exclusive)
    `font` - The index of the font to use.

### applyFont

    public void applyFont(HSSFFont font)

  Sets the font of the entire string.

  Parameters:
    `font` - The font to use.

### getString

    public java.lang.String getString()

  Returns the plain string representation.

### length

    public int length()

  Returns:
    the number of characters in the font.

### getFontAtIndex

    public short getFontAtIndex(int index)

  Returns the font in use at a particular index.

  Parameters:
    `index` - The index.
  Returns:
    The font that's currently being applied at that index or null if no font is being applied or the index is out of range.

### numFormattingRuns

    public int numFormattingRuns()

  Returns:
    The number of formatting runs used. There will always be at least one of font NO_FONT.
  See Also:
    `NO_FONT`

### getIndexOfFormattingRun

    public int getIndexOfFormattingRun(int index)

  The index within the string to which the specified formatting run applies.

  Parameters:
    `index` - the index of the formatting run
  Returns:
    the index within the string.

### getFontOfFormattingRun

    public short getFontOfFormattingRun(int index)

  Gets the font used in a particular formatting run.

  Parameters:
    `index` - the index of the formatting run
  Returns:
    the font number used.

### compareTo

    public int compareTo(java.lang.Object o)

  Compares one rich text string to another.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Returns:
    the plain text representation of this string.

### applyFont

    public void applyFont(short fontIndex)

  Applies the specified font to the entire string.

  Parameters:
    `fontIndex` - the font to apply.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.